--- 
before_script: 
  - "echo \"Before script\""
  - "cd /var/www/html/flycro.me/deployment-flycro.me"
building: 
  script: 
    - "echo \"Build\""
    - "git reset --hard"
    - "git pull origin deploy"
    - "chown -R octo-deploy:www-data /var/www/html/flycro.me/deployment-flycro.me"
    - "pnpm install"
    - "pnpm build"
    - "chown -R octo-deploy:www-data /var/www/html/flycro.me/flycro.me"
    - "find /var/www/html/flycro.me/flycro.me -type f -exec chmod 664 {} \\;"
    - "find /var/www/html/flycro.me/flycro.me -type d -exec chmod 775 {} \\;"
    - "cp -a /var/www/html/flycro.me/deployment-flycro.me/dist/. /var/www/html/flycro.me/flycro.me/"
  stage: build
deploying: 
  script: 
    - "echo \"Deployed\""
  stage: deploy
